Skip to main content
POST
/
v2
/
router
/
rerank
Create rerank
curl --request POST \
  --url https://api.orq.ai/v2/router/rerank \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "<string>",
  "documents": [
    "<string>"
  ],
  "model": "<string>",
  "top_n": 123,
  "filename": "<string>",
  "name": "<string>",
  "fallbacks": [
    {
      "model": "<string>"
    }
  ],
  "retry": {
    "count": 3,
    "on_codes": [
      429,
      500,
      502,
      503,
      504
    ]
  },
  "cache": {
    "type": "exact_match",
    "ttl": 3600
  },
  "load_balancer": {
    "type": "weight_based",
    "models": [
      {
        "model": "openai/gpt-4o",
        "weight": 0.7
      }
    ]
  },
  "timeout": {
    "call_timeout": 30000
  },
  "orq": {
    "name": "<string>",
    "fallbacks": [
      {
        "model": "openai/gpt-4o-mini"
      }
    ],
    "cache": {
      "type": "exact_match",
      "ttl": 3600
    },
    "retry": {
      "count": 3,
      "on_codes": [
        429,
        500,
        502,
        503,
        504
      ]
    },
    "identity": {
      "id": "contact_01ARZ3NDEKTSV4RRFFQ69G5FAV",
      "display_name": "Jane Doe",
      "email": "jane.doe@example.com",
      "metadata": [
        {
          "department": "Engineering",
          "role": "Senior Developer"
        }
      ],
      "logo_url": "https://example.com/avatars/jane-doe.jpg",
      "tags": [
        "hr",
        "engineering"
      ]
    },
    "contact": {
      "id": "contact_01ARZ3NDEKTSV4RRFFQ69G5FAV",
      "display_name": "Jane Doe",
      "email": "jane.doe@example.com",
      "metadata": [
        {
          "department": "Engineering",
          "role": "Senior Developer"
        }
      ],
      "logo_url": "https://example.com/avatars/jane-doe.jpg",
      "tags": [
        "hr",
        "engineering"
      ]
    },
    "load_balancer": {
      "type": "weight_based",
      "models": [
        {
          "model": "openai/gpt-4o",
          "weight": 0.7
        },
        {
          "model": "anthropic/claude-3-5-sonnet",
          "weight": 0.3
        }
      ]
    },
    "timeout": {
      "call_timeout": 30000
    }
  }
}
'
{
  "object": "list",
  "results": [
    {
      "object": "rerank",
      "index": 123,
      "relevance_score": 123,
      "document": {
        "text": "<string>"
      }
    }
  ],
  "id": "<string>",
  "usage": {
    "total_tokens": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

input

query
string
required

The search query

documents
string[]
required

A list of texts that will be compared to the query. For optimal performance we recommend against sending more than 1,000 documents in a single request.

model
string
required

The identifier of the model to use

top_n
number

The number of most relevant documents or indices to return, defaults to the length of the documents

filename
string | null

The filename of the document to rerank

name
string

The name to display on the trace. If not specified, the default system name will be used.

fallbacks
object[]

Array of fallback models to use if primary model fails

retry
object

Retry configuration for the request

cache
object

Cache configuration for the request.

load_balancer
object

Load balancer configuration for the request.

timeout
object

Timeout configuration to apply to the request. If the request exceeds the timeout, it will be retried or fallback to the next model if configured.

orq
object

Response

200 - application/json

Returns the reranked documents.

object
enum<string>
required
Available options:
list
results
object[]
required

An ordered list of ranked documents

id
string

A unique identifier for the rerank.

usage
object